### Method

# Gtk.TreeView.get_cursor

#### Declaration [src]

    void
    gtk_tree_view_get_cursor (
      GtkTreeView* tree_view,
      GtkTreePath** path,
      GtkTreeViewColumn** focus_column
    )

#### Description [src]

Fills in `path` and `focus_column` with the current path and focus column. If the cursor isn’t currently set, then `path` will be `NULL`. If no column currently has focus, then `focus_column` will be `NULL`.

The returned `GtkTreePath` must be freed with `gtk_tree_path_free()` when you are done with it.

#### Parameters

`path` | `GtkTreePath`
| A pointer to be filled with the current cursor path, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`focus_column` | `GtkTreeViewColumn`
| A pointer to be filled with the current focus column, or `NULL`
| Direction: out
| Ownership is not transferred to the callee